Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1653813 - [abrt] Thunar: exo_icon_view_get_item_at_coords(): thunar killed by SIGSEGV
Summary: [abrt] Thunar: exo_icon_view_get_item_at_coords(): thunar killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Thunar
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2d6e99cf9c5ea6ed6ba6682ee46...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-27 16:50 UTC by mastaiza
Modified: 2019-06-18 03:46 UTC (History)
4 users (show)

Fixed In Version: Thunar-1.8.6-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 19:02:13 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (27.94 KB, text/plain)
2018-11-27 16:50 UTC, mastaiza
no flags Details
File: cgroup (365 bytes, text/plain)
2018-11-27 16:50 UTC, mastaiza
no flags Details
File: core_backtrace (11.15 KB, text/plain)
2018-11-27 16:50 UTC, mastaiza
no flags Details
File: cpuinfo (1.25 KB, text/plain)
2018-11-27 16:50 UTC, mastaiza
no flags Details
File: dso_list (9.90 KB, text/plain)
2018-11-27 16:50 UTC, mastaiza
no flags Details
File: environ (651 bytes, text/plain)
2018-11-27 16:50 UTC, mastaiza
no flags Details
File: limits (1.29 KB, text/plain)
2018-11-27 16:50 UTC, mastaiza
no flags Details
File: maps (49.25 KB, text/plain)
2018-11-27 16:50 UTC, mastaiza
no flags Details
File: mountinfo (3.41 KB, text/plain)
2018-11-27 16:50 UTC, mastaiza
no flags Details
File: open_fds (2.20 KB, text/plain)
2018-11-27 16:50 UTC, mastaiza
no flags Details
File: proc_pid_status (1.30 KB, text/plain)
2018-11-27 16:50 UTC, mastaiza
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2018-11-27 16:50 UTC, mastaiza
no flags Details

Description mastaiza 2018-11-27 16:50:28 UTC
Version-Release number of selected component:
Thunar-1.6.15-1.fc28

Additional info:
reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        /usr/bin/Thunar --daemon
crash_function: exo_icon_view_get_item_at_coords
executable:     /usr/bin/thunar
journald_cursor: s=630836f3965646d48a864a5756ffbcda;i=2c3b2;b=78bcd16d675c416096e14828bcd64894;m=56d021df7;t=578f97571e3cb;x=94b859eef36db33d
kernel:         4.18.14-200.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 exo_icon_view_get_item_at_coords at exo-icon-view.c:4420
 #1 exo_icon_view_motion_notify_event at exo-icon-view.c:2404
 #2 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:84
 #7 gtk_widget_event_internal at gtkwidget.c:5017
 #8 gtk_widget_event at gtkwidget.c:4814
 #9 gtk_propagate_event at gtkmain.c:2503
 #10 gtk_main_do_event at gtkmain.c:1698
 #16 gtk_main at gtkmain.c:1270

Potential duplicate: bug 982010

Comment 1 mastaiza 2018-11-27 16:50:34 UTC
Created attachment 1508969 [details]
File: backtrace

Comment 2 mastaiza 2018-11-27 16:50:36 UTC
Created attachment 1508970 [details]
File: cgroup

Comment 3 mastaiza 2018-11-27 16:50:37 UTC
Created attachment 1508971 [details]
File: core_backtrace

Comment 4 mastaiza 2018-11-27 16:50:39 UTC
Created attachment 1508972 [details]
File: cpuinfo

Comment 5 mastaiza 2018-11-27 16:50:40 UTC
Created attachment 1508973 [details]
File: dso_list

Comment 6 mastaiza 2018-11-27 16:50:42 UTC
Created attachment 1508974 [details]
File: environ

Comment 7 mastaiza 2018-11-27 16:50:43 UTC
Created attachment 1508975 [details]
File: limits

Comment 8 mastaiza 2018-11-27 16:50:45 UTC
Created attachment 1508976 [details]
File: maps

Comment 9 mastaiza 2018-11-27 16:50:47 UTC
Created attachment 1508977 [details]
File: mountinfo

Comment 10 mastaiza 2018-11-27 16:50:48 UTC
Created attachment 1508978 [details]
File: open_fds

Comment 11 mastaiza 2018-11-27 16:50:49 UTC
Created attachment 1508979 [details]
File: proc_pid_status

Comment 12 mastaiza 2018-11-27 16:50:51 UTC
Created attachment 1508980 [details]
File: exploitable

Comment 13 Ben Cotton 2019-05-02 19:52:05 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora Update System 2019-05-18 13:54:19 UTC
thunar-volman-0.9.2-1.fc30 Thunar-1.8.5-1.fc30 tumbler-0.2.4-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5a521fc83f

Comment 15 Fedora Update System 2019-05-18 21:20:22 UTC
Thunar-1.8.6-1.fc30 thunar-volman-0.9.2-1.fc30 tumbler-0.2.4-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5a521fc83f

Comment 16 Fedora Update System 2019-05-19 00:51:28 UTC
Thunar-1.8.6-1.fc30, thunar-volman-0.9.2-1.fc30, tumbler-0.2.4-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-5a521fc83f

Comment 17 Ben Cotton 2019-05-28 19:02:13 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 18 Fedora Update System 2019-06-18 03:46:02 UTC
Thunar-1.8.6-1.fc30, thunar-volman-0.9.2-1.fc30, tumbler-0.2.4-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.